local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
    disableMovement()
	walkTo(17306)
	player.Facing = getEnum("Celeste.Facings", "Right")
	if getFlag("CC_omori_picnic_c_checkpoint_talked") then
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_omori_picnic_c-checkpoint_B"))
	else
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_omori_picnic_c-checkpoint"))
	end
end

function onEnd()
    enableMovement()
	setFlag("CC_omori_picnic_c_checkpoint_talked",true)
end